### Method

# Clutter Script get_objects

#### Declaration [src]

    gint
    clutter_script_get_objects (
      ClutterScript* script,
      const gchar* first_name,
      ...
    )

#### Description [src]

Retrieves a list of objects for the given names. After `script`, object names/return location pairs should be listed, with a `NULL` pointer ending the list, like:

      GObject *my_label, *a_button, *main_timeline;

      clutter_script_get_objects (script,
                                  "my-label", &my_label,
                                  "a-button", &a_button,
                                  "main-timeline", &main_timeline,
                                  NULL);

Note: This function does not increment the reference count of the returned objects.

This method is not directly available to language bindings.

#### Parameters

`first_name`

  Type: `const gchar*`

  The name of the first object to retrieve.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  Return location for a `GObject`, then additional names, ending with `NULL`.

#### Return value

Type: `gint`

The number of objects returned.